Bug 624364 - system crashes due to corrupt net_device_wrapper structure [rhel-4.8.z]
Summary: system crashes due to corrupt net_device_wrapper structure [rhel-4.8.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.8
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Don Howard
QA Contact: Gris Ge
URL:
Whiteboard:
Depends On: 620485
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-16 07:32 UTC by RHEL Program Management
Modified: 2013-01-11 03:11 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Executing a large "dd" command (1 to 5GB) on an iSCSI device with the qla3xxx driver caused a system crash due to the incorrect storing of a private data structure. With this update, the size of the stored data structure is checked and the system crashes no longer occur.
Clone Of:
Environment:
Last Closed: 2010-10-19 18:48:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0779 0 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2010-10-19 18:47:53 UTC

Description RHEL Program Management 2010-08-16 07:32:43 UTC
This bug has been copied from bug #620485 and has been proposed
to be backported to 4.8 z-stream (EUS).

Comment 3 Don Howard 2010-09-16 16:40:50 UTC
A patch for this issue has been included in kernel 2.6.9-89.0.30.

Comment 6 errata-xmlrpc 2010-10-19 18:48:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0779.html

Comment 7 Martin Prpič 2010-10-21 12:27:33 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Executing a large "dd" command (1 to 5GB) on an iSCSI device with the qla3xxx driver caused a system crash due to the incorrect storing of a private data structure. With this update, the size of the stored data structure is checked and the system crashes no longer occur.


Note You need to log in before you can comment on or make changes to this bug.